package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.QuestionnaireActiveTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(questionnaire_user_result):
 */
public class QuestionnaireUserResult {

	/**  */
	private Long id;
	
	/**  */
	private Integer userId;

	/**  */
	private QuestionnaireActiveTypeEnum activeType;

	/**  */
	private Integer activeId;
	
	/**  */
	private Integer questionnaireTopicId;
	
	/**  */
	private Long questionnaireQuestionId;
	
	/**  */
	private String questionnaireQuestionItemIdList;
	
	/** 附加答案 */
	private String additionalValue;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private String username;

	private String phone;

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public QuestionnaireActiveTypeEnum getActiveType() {
		return activeType;
	}

	public void setActiveType(QuestionnaireActiveTypeEnum activeType) {
		this.activeType = activeType;
	}

	public Integer getActiveId() {
		return activeId;
	}

	public void setActiveId(Integer activeId) {
		this.activeId = activeId;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setQuestionnaireTopicId(Integer questionnaireTopicId){
		this.questionnaireTopicId = questionnaireTopicId;
	}
	
	public Integer getQuestionnaireTopicId(){
		return this.questionnaireTopicId;
	}
			
	public void setQuestionnaireQuestionId(Long questionnaireQuestionId){
		this.questionnaireQuestionId = questionnaireQuestionId;
	}
	
	public Long getQuestionnaireQuestionId(){
		return this.questionnaireQuestionId;
	}
			
	public void setQuestionnaireQuestionItemIdList(String questionnaireQuestionItemIdList){
		this.questionnaireQuestionItemIdList = questionnaireQuestionItemIdList;
	}
	
	public String getQuestionnaireQuestionItemIdList(){
		return this.questionnaireQuestionItemIdList;
	}
			
	public void setAdditionalValue(String additionalValue){
		this.additionalValue = additionalValue;
	}
	
	public String getAdditionalValue(){
		return this.additionalValue;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
